Autor Tema: Como compilar las utilidades MKVTOOLNIX y MKVTOOLNIX-GUI en Mint 18.x 64 *v 56.1.0*  (Leído 3623 veces)

Fl0ppy

  • Administrador
  • Usuario Héroe
  • *****
  • Mensajes: 7751
Como compilar las utilidades MKVTOOLNIX y MKVTOOLNIX-GUI en Mint 18.x 64 *v 56.1.0*
« Respuesta #15 en: 15 de Agosto de 2019, 03:07:44 pm »
Compilada versión 36.0.0
Actualizado post principal y los ficheros adjuntos

CAMBIOS
Spoiler for Hiden:
Quote (selected)
# Version 36.0.0 "Is That Jazz?" 2019-08-10

## New features and enhancements

* mkvmerge: mkvmerge now allows appending AV1, VP8, VP9, H.264/AVC and
  H.265/HEVC tracks whose pixel dimensions differ. Implements #2582.

## Bug fixes

* source code: fixed building with Boost 1.71.0. Fixes #2599.
* all: fixed the spelling of the H.264 & H.265 codec names.
* mkvmerge: Blu-ray MPLS handling: mkvmerge will now find corresponding M2TS
  files even if the `clip_codec_identifier` playlist item field is not set to
  `M2TS` in the MPLS file. Fixes #2601.
* mkvmerge: fixed handling of text files that use both DOS-style and
  Unix-style line endings resulting in problems such as text subtitle files
  not being parsed correctly. Fixes #2594.

https://mkvtoolnix.download/doc/NEWS.md
Siempre que pasa igual sucede lo mismo



Fl0ppy

  • Administrador
  • Usuario Héroe
  • *****
  • Mensajes: 7751
Como compilar las utilidades MKVTOOLNIX y MKVTOOLNIX-GUI en Mint 18.x 64 *v 56.1.0*
« Respuesta #16 en: 25 de Agosto de 2019, 04:21:38 pm »
Compilada versión 37.0.0
Actualizado post principal y los ficheros adjuntos

CAMBIOS
Spoiler for Hiden:
Quote (selected)
# Version 37.0.0 "Leave It" 2019-08-24

## New features and enhancements

* MKVToolNix GUI: the list of often used languages now contains those from
  Wikipedia's "List of languages by native speakers" by default. Also by
  default only those languages will be shown in the language drop-down boxes.

## Bug fixes

* MKVToolNix GUI: multiplexer: fixed a bug in the "make destination file names
  unique" logic that caused an existing number-in-parenthesis at the end of
  the file base name to be removed in certain situations (e.g. when the first
  added file was named `m (3).mkv` and both `m (3) (1).mkv` and `m (3)
  (2).mkv` existed already, the GUI was suddenly use `m.mkv` instead of `m (3)
  (3).mkv`).
* MKVToolNix GUI: on Windows the GUI is built with a slightly older version of
  the Qt library again (5.12.4). The Qt version used in release v36.0.0,
  v5.13.0, lead to crashes when doing certain things such as selecting
  multiple tracks in the multiplexer. Fixes #2605 and #26008.

https://mkvtoolnix.download/doc/NEWS.md
Siempre que pasa igual sucede lo mismo



Fl0ppy

  • Administrador
  • Usuario Héroe
  • *****
  • Mensajes: 7751
Como compilar las utilidades MKVTOOLNIX y MKVTOOLNIX-GUI en Mint 18.x 64 *v 56.1.0*
« Respuesta #17 en: 10 de Abril de 2021, 07:08:55 pm »
El autor otra vez ha dejado el soporte para Linux antiguos por lo cual las versiones nuevas toca recompiarlas manualmente
Siempre que pasa igual sucede lo mismo



Fl0ppy

  • Administrador
  • Usuario Héroe
  • *****
  • Mensajes: 7751
Como compilar las utilidades MKVTOOLNIX y MKVTOOLNIX-GUI en Mint 18.x 64 *v 56.1.0*
« Respuesta #18 en: 11 de Abril de 2021, 01:11:34 am »
Compilada versión 56.1.0

Changelog
Quote (selected)
# Version 56.1.0 "My Friend" 2021-04-09

## New features and enhancements

* mkvmerge: AAC: added support for LOAS/LATM files with channel configuration indexes 9–21 (e.g. channel count 22.2 for index 13) according to Rec. ITU-R BS.1196-7 & ISO/IEC 23008-3:2019. Fixes #3081.

## Bug fixes

* mkvmerge: HEVC/H.265 parser: fixed invalid memory access that could happen when reading certain types of HEVC data (e.g. with changing parameter sets  mid-stream) from certain containers (e.g. Matroska). This bug was introduced  in release 56.0.0. Fixes #3083.

* mkvextract: AAC: mkvextract will now abort with an useful error message when  the user tries to extract a track whose 'audio-specific config' element in  `CodecPrivate` signals a number of channels of 7 or greater than 8 as that  isn't supported by the ADTS format.

## Build system changes

* configure: the `--enable-ubsan` option hasn't actually enabled anything since release 39.0.0.
Siempre que pasa igual sucede lo mismo